<?php

$manifest = array(
    'built_in_version' => '7.11.0.0',
    'acceptable_sugar_versions' => array(
        '7.9.x',
        '7.10.x',
        '7.11.x',
        '8.0.x',
        '8.1.x',
    ),
    'acceptable_sugar_flavors' =>
        array(
            0 => 'ENT',
            1 => 'ULT',
            2 => 'PRO',
        ),
    'readme' => '',
    'key' => '',
    'author' => 'Integros',
    'name' => 'LB Templates Extension.',
    'description' => 'Logic Builder extension for composing HTML text.',
    'icon' => '',
    'is_uninstallable' => true,
    'published_date' => '2018-05-17 11:55:46',
    'type' => 'module',
    'version' => '1.3.0',
    'remove_tables' => 'prompt',
);


$installdefs = array(
    'id' => 'lb_templates',
    'copy' => array(
        0 =>
            array (
                'from' => '<basepath>/src/custom/Extension/application/Ext/Language/en_us.px_flowcharttemplates.php',
                'to' => 'custom/Extension/application/Ext/Language/en_us.px_flowcharttemplates.php'
            ),
        1 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateProcessor.php',
                'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateProcessor.php'
            ),
        2 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/SmartyTemplateEngine.php',
                'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/SmartyTemplateEngine.php'
            ),
        3 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/TemplateEngineFactory.php',
                'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/TemplateEngineFactory.php'
            ),
        4 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/BaseTemplateEngine.php',
                'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/BaseTemplateEngine.php'
            ),
        5 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/TemplateEngineTrait.php',
                'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/TemplateEngineTrait.php'
            ),
        6 =>
            array (
                'from' => '<basepath>/src/custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/Compilers/LBTemplatesSmartyCompiler.php',
                'to' => 'custom/PxRoutines/LBExtensions/Templates/Helpers/TemplateEngines/Compilers/LBTemplatesSmartyCompiler.php'
            ),
        7 =>
            array (
                'from' => '<basepath>/src/custom/data/duplicatecheck/PX_FlowchartTemplatesFilterDuplicateCheck.php',
                'to' => 'custom/data/duplicatecheck/PX_FlowchartTemplatesFilterDuplicateCheck.php'
            ),
        8 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/SearchFields.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/SearchFields.php'
            ),
        9 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/quickcreatedefs.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/quickcreatedefs.php'
            ),
        10 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/searchdefs.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/searchdefs.php'
            ),
        11 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/editviewdefs.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/editviewdefs.php'
            ),
        12 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/metafiles.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/metafiles.php'
            ),
        13 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/studio.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/studio.php'
            ),
        14 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/popupdefs.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/popupdefs.php'
            ),
        15 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/detailviewdefs.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/detailviewdefs.php'
            ),
        16 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/listviewdefs.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/listviewdefs.php'
            ),
        17 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/subpanels/default.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/subpanels/default.php'
            ),
        18 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/metadata/dashletviewdefs.php',
                'to' => 'modules/PX_FlowchartTemplates/metadata/dashletviewdefs.php'
            ),
        19 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/language/en_us.lang.php',
                'to' => 'modules/PX_FlowchartTemplates/language/en_us.lang.php'
            ),
        20 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/menus/header/header.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/menus/header/header.php'
            ),
        21 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/recordlist/recordlist.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/views/recordlist/recordlist.php'
            ),
        22 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/preview/preview.js',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/views/preview/preview.js'
            ),
        23 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/preview/preview.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/views/preview/preview.php'
            ),
        24 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/find-duplicates-headerpane/find-duplicates-headerpane.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/views/find-duplicates-headerpane/find-duplicates-headerpane.php'
            ),
        25 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/list/list.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/views/list/list.php'
            ),
        26 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/create/create.js',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/views/create/create.js'
            ),
        27 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/record/record.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/views/record/record.php'
            ),
        28 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/views/record/record.js',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/views/record/record.js'
            ),
        29 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/px-context-item.js',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/px-context-item.js'
            ),
        30 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/detail.hbs',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/detail.hbs'
            ),
        31 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/edit.hbs',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context-item/edit.hbs'
            ),
        32 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/htmleditable_tinymce/htmleditable_tinymce.js',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/htmleditable_tinymce/htmleditable_tinymce.js'
            ),
        33 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/htmleditable_tinymce/detail.hbs',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/htmleditable_tinymce/detail.hbs'
            ),
        34 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context/detail.hbs',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context/detail.hbs'
            ),
        35 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context/context-row.hbs',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context/context-row.hbs'
            ),
        36 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context/edit.hbs',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context/edit.hbs'
            ),
        37 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/px-context/px-context.js',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/px-context/px-context.js'
            ),
        38 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/enum/enum.js',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/enum/enum.js'
            ),
        39 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/fields/enum/edit.hbs',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/fields/enum/edit.hbs'
            ),
        40 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/api/PX_FlowchartTemplatesApi.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/api/PX_FlowchartTemplatesApi.php'
            ),
        41 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/api/PX_FlowchartTemplatesFilterApi.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/api/PX_FlowchartTemplatesFilterApi.php'
            ),
        42 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/filters/basic/basic.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/filters/basic/basic.php'
            ),
        43 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/base/filters/default/default.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/base/filters/default/default.php'
            ),
        44 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/views/detail/detail.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/mobile/views/detail/detail.php'
            ),
        45 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/views/list/list.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/mobile/views/list/list.php'
            ),
        46 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/views/edit/edit.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/mobile/views/edit/edit.php'
            ),
        47 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/layouts/detail/detail.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/mobile/layouts/detail/detail.php'
            ),
        48 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/layouts/list/list.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/mobile/layouts/list/list.php'
            ),
        49 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/clients/mobile/layouts/edit/edit.php',
                'to' => 'modules/PX_FlowchartTemplates/clients/mobile/layouts/edit/edit.php'
            ),
        50 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/PX_FlowchartTemplates.php',
                'to' => 'modules/PX_FlowchartTemplates/PX_FlowchartTemplates.php'
            ),
        51 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/Dashlets/PX_GCMRegistrationsDashlet/PX_GCMRegistrationsDashlet.meta.php',
                'to' => 'modules/PX_FlowchartTemplates/Dashlets/PX_GCMRegistrationsDashlet/PX_GCMRegistrationsDashlet.meta.php'
            ),
        52 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/Dashlets/PX_GCMRegistrationsDashlet/PX_GCMRegistrationsDashlet.php',
                'to' => 'modules/PX_FlowchartTemplates/Dashlets/PX_GCMRegistrationsDashlet/PX_GCMRegistrationsDashlet.php'
            ),
        53 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/PX_FlowchartTemplates_sugar.php',
                'to' => 'modules/PX_FlowchartTemplates/PX_FlowchartTemplates_sugar.php'
            ),
        54 =>
            array (
                'from' => '<basepath>/src/modules/PX_FlowchartTemplates/vardefs.php',
                'to' => 'modules/PX_FlowchartTemplates/vardefs.php'
            ),
    ),
    'beans' => array(
        array(
            'module' => 'PX_FlowchartTemplates',
            'class' => 'PX_FlowchartTemplates',
            'path' => 'modules/PX_FlowchartTemplates/PX_FlowchartTemplates.php',
            'tab' => true,
        )
    ),
    'post_uninstall' => array(
        '<basepath>/scripts/post_uninstall.php',
    )
);