<?php

$app_list_strings['moduleList']['PX_FlowchartTemplates'] = 'LB Templates';
$app_list_strings['moduleListSingular']['PX_FlowchartTemplates'] = 'LB Template';

$app_list_strings['px_lbtemplates_tpl_engine_type'] = array(
    'base' => 'Base',
    'smarty' => 'Smarty',
);

$app_list_strings['px_template_engine_helpers'] = array(
    //BASE
    'base' => "
            LB Template supports <strong>base</strong> template engine.<br />
            There is no specific syntax except double curly braces.<br />
            To add a variable:
            <ul>
                <li>Use double curly braces in template text: <span style=\"white-space: nowrap;\">{{DISPLAY_LABEL}}</span></li>
                <li>Click &#9658; to add variable to the last cursor position in template text</li>
            </ul>
    ",
    //SMARTY
    'smarty' => "
            LB Template supports <strong>Smarty template engine</strong>. <br />
            Its syntax includes:
            <ul>
                <li>template delimiter tag syntax: e.g. {}, {{}}<!--, {}--></li>
                <li>if/elseif/else/endif constructs</li>
            </ul>
            For more information check out the <a href=\"http://www.smarty.net/docsv2/en/\" target=\"_blank\">documentation</a>.<br /><br />
            To add variable:
            <ul>
                <li>Use curly braces with dollar symbol after the opening brace in template text: <span style=\"white-space: nowrap;\">{\$SYSTEM_NAME}</span></li>
                <li>Click &#9658; to add variable to current cursor position in template text</li>
            </ul>"
);


$app_list_strings['px_template_engine_helper_severity'] = array(
    'base' => 'info',
    'smarty' => 'attention'
);