({
    extendsFrom: 'BaseField',

    initialize: function(arguments) {
        this._super("initialize", [arguments]);
    },

    getFormattedValue: function() {
        return this.format(this.model.has(this.name) ? this.model.get(this.name) : this.value);
    },

    _checkAccessToAction: function(action) {
        if (_.contains(this.fallbackActions, action) && _.isUndefined(this.viewFallbackMap[action])) {
            return true;
        }

        if (_.result(this, 'showNoData') === true) {
            return action === 'nodata';
        }

        return app.acl.hasAccessToModel(action, this.model, this.def.layout.name);
    }
})
