({
    extendsFrom: 'Htmleditable_tinymceField',

    syncedValue: '',

    _render: function() {
        this._super("_render", []);
        this.displayInsertButton();
    },

    displayInsertButton: function(){
        var contextField = this.view.getField('context');
        if(!_.isUndefined(contextField))
            contextField.displayInsertButton();

        // var $addToEditorButton = this.view.getField('context').$el.find('[px-context-action=add_to_editor]');
        // if(!$addToEditorButton.length)
        //     return;
        //
        // if( this.action == 'detail'){
        //     $addToEditorButton.hide();
        // }else {
        //     $addToEditorButton.show();
        // }
    },

    getTinyMCEConfig: function(){

        return _.extend(this._super('getTinyMCEConfig'), {
            toolbar: 'code | bold italic underline strikethrough | bullist numlist | ' +
            'alignleft aligncenter alignright alignjustify | forecolor backcolor | fontsizeselect',
        });
    },

    //file_browser_callback: function(fieldName, url, type, win) {
    //
    //    if (_.isUndefined(app.metadata.getModule('EmbeddedFiles'))) {
    //        return;
    //    }
    //
    //    var attributes = {
    //        fieldName: fieldName,
    //        type: type,
    //        win: win
    //    };
    //
    //    this.$embeddedInput.unbind().change(_.bind(this._onEmbededFile, this, attributes));
    //    this.$embeddedInput.trigger('click');
    //},

    initTinyMCEEditor: function(optConfig) {
        var self = this;
        if(_.isEmpty(this._htmleditor)){
            var config = _.extend({}, this.getTinyMCEConfig(), optConfig || {});
            var __superSetup__ = config.setup;
            // Preserve custom setup if it exists, add setup function needed for widget to work properly
            config.setup = function(editor){
                if(_.isFunction(__superSetup__)){
                    __superSetup__.call(this, editor);
                }
                self._htmleditor = editor;
                self._htmleditor.on('init', function(event) {
                    self.setEditorContent(self.getFormattedValue());
                    //START MY
                    self.syncedValue = self.getEditorContent();
                    // END MY
                    $(event.target.getWin()).blur(function(e){ // Editor window lost focus, update model immediately
                        self._saveEditor(true);
                    });
                });
                self._htmleditor.on('deactivate', function(ed){
                    self._saveEditor();
                });
                self._htmleditor.on('change', function(ed, l) {
                    // Changes have been made, mark widget as dirty so we don't lose them
                    self._isDirty = true;
                });
                self._htmleditor.on('paste', function() {
                    // Some content has been pasted, mark widget as dirty so we don't lose pasted content.
                    self._isDirty = true;
                });
                self.addCustomButtons(editor);
            };
            config.oninit = function(inst) {
                self.context.trigger('tinymce:oninit', inst);
            };

            this._getHtmlEditableField().tinymce(config);
        }
    },

    setViewContent: function(value) {
        var field;
        // Pad this to the final height due to the iframe margins/padding
        var padding = 25;
        var contentHeight = 0;

        this._super('setViewContent', [value]);

        // Only set this field height if it is in the preview pane
        if (this.tplName !== 'preview') {
            return;
        }

        contentHeight = this._getContentHeight() + padding;

        // Only resize the editor when the content is fully loaded
        if (contentHeight > padding) {
            // Set the maximum height to 400px
            if (contentHeight > 400) {
                contentHeight = 400;
            }

            field = this._getHtmlEditableField();
            field.css('height', contentHeight);
        }
    },

    _getContentHeight: function() {
        var editable = this._getHtmlEditableField();

        if (this._iframeHasBody(editable)) {
            return editable.contents().find('body')[0].offsetHeight;
        }

        return 0;
    },

    _iframeHasBody: function(editable) {
        return editable.contents().length > 0 && editable.contents().find('body').length > 0;
    },
})


